| HOpenGL Libraries (OpenGL package) | Source code | Contents | Index

Graphics.Rendering.OpenGL.GL.Texturing.Objects

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de

Description
This module corresponds to section 3.8.12 (Texture Objects) of the OpenGL 2.1 specs.
Documentation
newtype TextureObject

Constructors

TextureObject GLuint |

Instances

Eq TextureObject
ObjectName TextureObject
Ord TextureObject
Show TextureObject

textureBinding :: TextureTarget -> StateVar (Maybe TextureObject)
textureResident :: TextureTarget -> GettableStateVar Bool
areTexturesResident :: [TextureObject] -> IO ([TextureObject], [TextureObject])
type TexturePriority = GLclampf
texturePriority :: TextureTarget -> StateVar TexturePriority
prioritizeTextures :: [(TextureObject, TexturePriority)] -> IO ()
Produced by Haddock version 0.8